Quantcast

How to install Tomcat 5.5.28 32-bit version on Windows 64-bit version?

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

How to install Tomcat 5.5.28 32-bit version on Windows 64-bit version?

Vadim Volkov
The Tomcat 5.5.28 Installer (.exe) for Windows detect and install the
64-bit version of Tomcat if 64-bit version of Windows is installed.
How to install Tomcat 5.5.28 32-bit version on Windows 64-bit version?
(Windows Server 2003 R2 Standard x64 Edition).

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: How to install Tomcat 5.5.28 32-bit version on Windows 64-bit version?

Christopher Schultz-2
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Vadim,

On 10/14/2009 11:04 AM, Vadim Volkov wrote:
> The Tomcat 5.5.28 Installer (.exe) for Windows detect and install the
> 64-bit version of Tomcat if 64-bit version of Windows is installed.

Tomcat itself is neither 32-bit nor 64-bit. The only components that are
32- or 64-bit are the JVM and the service loader, and they must be
matched to each other.

Are you using 64-bit JVM? If so, then you must use the 64-bit service
loader.

Are you using 32-bit JVM? If so, then you must use the 32-bit service
loader.

- -chris
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (MingW32)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAkrWIKsACgkQ9CaO5/Lv0PCZAACeO4KNh2Y3Fx4oRKStY8IbsXL1
RdYAoLu71EOOwV2S0/bLvkMdwKj3OyZc
=jfgL
-----END PGP SIGNATURE-----

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: How to install Tomcat 5.5.28 32-bit version on Windows 64-bit version?

Vadim Volkov
Hi Christopher. Thanks for replying.

On Wed, Oct 14, 2009 at 10:04 PM, Christopher Schultz
<[hidden email]> wrote:
> Are you using 32-bit JVM? If so, then you must use the 32-bit service
> loader.

I'm using 32-bit JVM (JDK 1.5.0_21) on 64-bit Windows.

Form Tomcat 5.5.28 changelog: "Add the 64-bit windows service binaries
to the distribution and get the Windows installer to automatically
select the correct one for the current platform. (markt/kkolinko)", so
I cannot find different service installer for 32-bit - there is only
one Windows installer
(http://tomcat.apache.org/download-55.cgi#5.5.28)

When I install Tomcat 5.5.28 on 64-bit Windows + 32-bit JVM I get
64-bit service version of Tomcat. There is a note that if I have a
64-bit operation system, I must specify 64-bit JRE during Tomcat
installation, but I strongly needs in 32-bit JRE and 32-bit Tomcat
service on 64-bit Windows.

Is it feasible to install 32-bit version of Tomcat on 64-bit Windows +
32-bit JVM?

Thanks.

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

RE: How to install Tomcat 5.5.28 32-bit version on Windows 64-bit version?

Caldarale, Charles R
> From: Vadim Volkov [mailto:[hidden email]]
> Subject: Re: How to install Tomcat 5.5.28 32-bit version on Windows 64-
> bit version?
>
> I strongly needs in 32-bit JRE and 32-bit Tomcat
> service on 64-bit Windows.

Could you please tell us why?  I can't imagine any reason one would want a 32-bit JVM these days, except for JNI compatibility, which is not an issue with Tomcat.  Note that you can have both 32- and 64-bit JVMs installed at the same time.

> Is it feasible to install 32-bit version of Tomcat on 64-bit Windows +
> 32-bit JVM?

Tomcat itself is pure Java, so it's only the service wrapper that has to be the same mode as the JVM being used.  You can get the 32-bit version here:
http://svn.apache.org/repos/asf/tomcat/tc6.0.x/trunk/res/procrun/

 - Chuck


THIS COMMUNICATION MAY CONTAIN CONFIDENTIAL AND/OR OTHERWISE PROPRIETARY MATERIAL and is thus for use only by the intended recipient. If you received this in error, please contact the sender and delete the e-mail and its attachments from all computers.


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

RE: How to install Tomcat 5.5.28 32-bit version on Windows 64-bit version?

Jeffrey Janner
The only reason I can think of for wanting to run 32-bit on 64-bit O/S
is too test against a production setup that is still 32-bit (for memory
limits, etc.)
Personally, I'm glad the 5.5.28 implemented this change, as those were
some significant hoops to jump through to get the 64-bit binaries for
procrun and the native dlls, like I did at 5.5.27.  They weren't all
that easy to locate for a general users.
Personally, I'm all for 64-bit everything these days.

-----Original Message-----
From: Caldarale, Charles R [mailto:[hidden email]]
Sent: Thursday, October 15, 2009 8:05 AM
To: Tomcat Users List
Subject: RE: How to install Tomcat 5.5.28 32-bit version on Windows
64-bit version?

> From: Vadim Volkov [mailto:[hidden email]]
> Subject: Re: How to install Tomcat 5.5.28 32-bit version on Windows
64-
> bit version?
>
> I strongly needs in 32-bit JRE and 32-bit Tomcat
> service on 64-bit Windows.

Could you please tell us why?  I can't imagine any reason one would want
a 32-bit JVM these days, except for JNI compatibility, which is not an
issue with Tomcat.  Note that you can have both 32- and 64-bit JVMs
installed at the same time.

> Is it feasible to install 32-bit version of Tomcat on 64-bit Windows +
> 32-bit JVM?

Tomcat itself is pure Java, so it's only the service wrapper that has to
be the same mode as the JVM being used.  You can get the 32-bit version
here:
http://svn.apache.org/repos/asf/tomcat/tc6.0.x/trunk/res/procrun/

 - Chuck


THIS COMMUNICATION MAY CONTAIN CONFIDENTIAL AND/OR OTHERWISE PROPRIETARY
MATERIAL and is thus for use only by the intended recipient. If you
received this in error, please contact the sender and delete the e-mail
and its attachments from all computers.


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]



*******************************  NOTICE  *********************************
This message is intended for the use of the individual or entity to which
it is addressed and may contain information that is privileged,
confidential, and exempt from disclosure under applicable law.  If the
reader of this message is not the intended recipient or the employee or
agent responsible for delivering this message to the intended recipient,
you are hereby notified that any dissemination, distribution, or copying
of this communication is strictly prohibited.  If you have received this
communication in error, please notify us immediately by reply or by
telephone (call us collect at 512-343-9100) and immediately delete this
message and all its attachments.


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

RE: How to install Tomcat 5.5.28 32-bit version on Windows 64-bit version?

George S.
> -----Original Message-----
> From: Jeffrey Janner [mailto:[hidden email]]
> Sent: Monday, October 19, 2009 10:28 AM
> To: Tomcat Users List
> Subject: RE: How to install Tomcat 5.5.28 32-bit version on Windows 64-
> bit version?
>
> The only reason I can think of for wanting to run 32-bit on 64-bit O/S
> is too test against a production setup that is still 32-bit (for memory
> limits, etc.)


Here's one more nasty reason. If you're using the JDBC/ODBC Bridge you
probably need to run on 32-bit. That's because MS isn't making 64 bit ODBC
drivers. Particularly MS Access.

George Sexton
MH Software, Inc.
http://www.mhsoftware.com/
Voice: 303 438 9585


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

RE: How to install Tomcat 5.5.28 32-bit version on Windows 64-bit version?

Jeffrey Janner
George -
Never occurred to me to use Tomcat with Access (or any ODBC for that
matter), but good catch.
I'm sure there are others.  Sometime I has tunnel vision.
Jeff

-----Original Message-----
From: George Sexton [mailto:[hidden email]]
Sent: Monday, October 19, 2009 12:05 PM
To: 'Tomcat Users List'
Subject: RE: How to install Tomcat 5.5.28 32-bit version on Windows
64-bit version?

> -----Original Message-----
> From: Jeffrey Janner [mailto:[hidden email]]
> Sent: Monday, October 19, 2009 10:28 AM
> To: Tomcat Users List
> Subject: RE: How to install Tomcat 5.5.28 32-bit version on Windows
64-
> bit version?
>
> The only reason I can think of for wanting to run 32-bit on 64-bit O/S
> is too test against a production setup that is still 32-bit (for
memory
> limits, etc.)


Here's one more nasty reason. If you're using the JDBC/ODBC Bridge you
probably need to run on 32-bit. That's because MS isn't making 64 bit
ODBC
drivers. Particularly MS Access.

George Sexton
MH Software, Inc.
http://www.mhsoftware.com/
Voice: 303 438 9585


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]



*******************************  NOTICE  *********************************
This message is intended for the use of the individual or entity to which
it is addressed and may contain information that is privileged,
confidential, and exempt from disclosure under applicable law.  If the
reader of this message is not the intended recipient or the employee or
agent responsible for delivering this message to the intended recipient,
you are hereby notified that any dissemination, distribution, or copying
of this communication is strictly prohibited.  If you have received this
communication in error, please notify us immediately by reply or by
telephone (call us collect at 512-343-9100) and immediately delete this
message and all its attachments.


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Loading...